Bug 870485 - Please backport upstream patch for missing dereference in free on error path
Please backport upstream patch for missing dereference in free on error path
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fuse (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-26 11:40 EDT by Tyson Whitehead
Modified: 2012-11-16 02:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-16 02:32:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch against fuse fedpkg repo to add upstream patch (2.53 KB, patch)
2012-10-26 11:40 EDT, Tyson Whitehead
no flags Details | Diff

  None (edit)
Description Tyson Whitehead 2012-10-26 11:40:32 EDT
Created attachment 633940 [details]
patch against fuse fedpkg repo to add upstream patch

Description of problem:

We use sshfs mounted home directories, and we were finding that sshfs would mysteriously crash.  Examining the core dump revealed that there was a missing pointer dereference in a free along an error path in the fuse library.

When I went to submit an upstream bug, it turned out that it had already been fixed

http://fuse.git.sourceforge.net/git/gitweb.cgi?p=fuse/fuse;a=commit;h=3c4c063a2fd5cc6e9ce2b5db82e2a0dfa59b2e40

Could we please get this patch included in the current release.

Version-Release number of selected component (if applicable):

All fuse release prior to 2.9.1.

How reproducible:

Always.

Steps to Reproduce:
1. Mount home directory with sshfs.
2. Start gnome desktop on mounted home directory
3. May have to repeat a couple of times.
  
Actual results:

The sshfs program dies and you get a "transport endpoint is not connected" error message when trying to access your home directory.

Expected results:

You expect to be able to access your home directory.

Additional info:

I've attached a patch against the f17 branch in the Fedora fedpkg repo for fuse to add a back ported version of the upstream patch.
Comment 1 Fedora Update System 2012-10-31 10:48:06 EDT
fuse-2.8.7-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fuse-2.8.7-2.fc17
Comment 2 Fedora Update System 2012-10-31 10:48:45 EDT
fuse-2.8.7-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fuse-2.8.7-2.fc16
Comment 3 Fedora Update System 2012-10-31 21:17:19 EDT
Package fuse-2.8.7-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fuse-2.8.7-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17377/fuse-2.8.7-2.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-11-16 02:32:02 EST
fuse-2.8.7-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-11-16 02:41:02 EST
fuse-2.8.7-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.